v.centroids(1)

NAME
v.centroids - Adds missing centroids to closed boundaries

KEYWORDS
vector, centroid, area

SYNOPSIS
v.centroids
v.centroids help
v.centroids input=name output=name [option=string] [layer=integer] [cat=integer] [step=integer] [--overwrite]

  Flags:

--overwrite

  Parameters:

input=name
    Name of input vector map

output=name
    Name for output vector map

option=string
    Action to be taken Options: add Default: add

layer=integer
    Layer number Default: 1

cat=integer
    Category number starting value Default: 1

step=integer
    Category increment Default: 1

DESCRIPTION
GRASS defines vector areas as composite entities consisting of a set of closed boundaries and a centroid. The attribute information associated with that area is linked to the centroid. The v.centroids module adds centroids to closed boundaries in the input file and assigns a category number to them. The starting value as well as the increment size may be set using optional parameters.

Multiple attributes may be linked to a single vector entity through numbered fields referred to as layers. Refer to v.category for more details, as v.centroids is simply a frontend to that module.

The boundary itself is often stored without any category reference as it can mark the border between two adjacent areas. Thus it would be ambiguous as to which feature the attribute would belong. In some cases it may, for example, represent a road between two parcels of land. In this case it is entirely appropriate for the boundary to contain category information.

(GRASS Shell Script)

SEE ALSO
v.category

AUTHORS
module: M. Hamish Bowman, Dept. Marine Science, Otago University, New Zealand
help page: Trevor Wiens

Last changed: $Date: 2007/05/24 08:07:30 $

Full index